Bug 1361941 (kf5-akonadi-mime)

Summary: Review Request: kf5-akonadi-mime - The Akonadi Mime Library
Product: [Fedora] Fedora Reporter: Rex Dieter <rdieter>
Component: Package ReviewAssignee: Neal Gompa <ngompa13>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: ngompa13, package-review
Target Milestone: ---Flags: ngompa13: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-09-03 13:35:30 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 656997    

Description Rex Dieter 2016-08-01 02:11:33 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/kde-apps/kf5-akonadi-mime.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/kde-apps/kf5-akonadi-mime-16.07.80-1.fc24.src.rpm
Description: The Akonadi Mime Library
Fedora Account System Username: rdieter

Comment 1 Rex Dieter 2016-08-01 02:13:08 UTC
split out from:
Obsoletes: kf5-akonadi (aka kdepimlibs)

Comment 2 Rex Dieter 2016-08-01 02:13:40 UTC
Scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=15088032

Comment 3 Neal Gompa 2016-08-28 12:54:02 UTC
Taking this review.

Comment 4 Neal Gompa 2016-08-28 13:16:40 UTC
naming: OK

sources: OK
d71e7a5f06d5d1374822904af797c491770175b5  akonadi-contacts-16.07.80.tar.xz

license: OK

URL: OK

macros: OK

scriptlets: !!

I notice you have scriptlets for update-mime-database. According to the guidelines, you should not be using those for Fedora 24 and later: https://fedoraproject.org/wiki/Packaging:Scriptlets?rd=Packaging:ScriptletSnippets#mimeinfo

Please guard them out appropriately.

Comment 5 Neal Gompa 2016-08-28 13:18:42 UTC
Bah, wrong source in pastebin.

Sources: OK
afefed0a6ffd35a92f6d45fa51330a5def1a9f01  akonadi-mime-16.07.80.tar.xz

Comment 6 Rex Dieter 2016-08-28 13:29:17 UTC
Thanks, but doesn't the scriptlets page also say "should" not "must", so it shouldn't be a review blocker?

(I'll be happy to fix it regardless, just pointing out the semantics that it shouldn't stall the review process)

Comment 7 Neal Gompa 2016-08-28 13:37:07 UTC
If you plan to fix it when you upload, then I have no problem approving.

Package approved.

Comment 8 Gwyn Ciesla 2016-08-29 12:51:48 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/kf5-akonadi-mime

Comment 9 Rex Dieter 2016-09-03 13:35:30 UTC
imported